<?php
  session_start();
  require_once 'setup.php';

  $user_login = new USER();


  // Various Redirects:
    if($user_login->is_logged_in()!="")
    { $user_login->redirect('home.php') ; }

    if($_SESSION['AuthLevel']=="Admin"||$_SESSION['AuthLevel']=="Manage")
    { $user_login->redirect('home.php') ; }

    if($_SESSION['jump']=="signup")
    {
        $path = "verify.php?id=".$_SESSION['id']."&code=".$_SESSION['code'] ;
        $user_login->redirect($path) ;
    }else if($_SESSION['jump']=="resetpw") 
    {
        $path = "resetpass.php?id=".$_SESSION['id']."&code=".$_SESSION['code'] ;
        $user_login->redirect($path) ;
    }

  // Process Button Press - if correct we will login...
    if(isset($_POST['btn-login']))
    {
      $email = trim($_POST['txtemail']) ;
      $upass = trim($_POST['txtupass']) ;

      if($user_login->login($email,$upass))
      { $user_login->redirect('home.php') ; }
    }

  // Handle Failed Submit Data from class user->login
    if(isset($_GET['inactive']))
    { $msg = "<strong>Sorry!</strong> This Account is not Yet Activated <br />
              Please Check your Email Inbox and Activate it." ; }

    if(isset($_GET['error'])) 
    {  $msg = "<strong>Credentials Do Not Match Any Current Users!</strong>" ; }

?>


<!DOCTYPE html>
<html>
  <head>
    <title>Embedded Login Screen</title>
    <link rel="stylesheet"   href="login.css"  />
  </head>

  <body id="login">      
    <div class="container">

    <form class="form-signin" method="post">

        <h1> Special Authorization Required! </h1>
          <h3> If you have already completed the Web Registration:
          </h3>
          <div class="CommBox">
            <h2>  <?php if(isset($msg)) { echo $msg; }else{echo "Please Sign In.";} ?> </h2>
          </div>          
            <br />
            <hr />
          <input  type="email" 
                  class="input-block-level" 
                  placeholder="Email address" 
                  name="txtemail" 
                  required 
                  size="75"/>
          <br />                  
          <input  type="password" 
                  class="input-block-level" 
                  placeholder="Password" 
                  name="txtupass" 
                  required 
                  size="15"/>
          <br />
          <br />                
          <button class="btn btn-large btn-primary" 
                  type="submit" 
                  name="btn-login"
                  size="15">
                Sign in
          </button>
                
        <hr />
          <br />
          <h2>Not Registered yet?</h2>
          <h3><a  href = "signup.php" 
                  class= "btn btn-large btn-primary" 
                  size = "15">
                Sign Up Now
              </a>
          </h3>
          <br />
        <hr />
          <h3><a href="fpass.php"> 
                  Lost your Password ?
              </a>
          </h3>
      </form>
    </div>  <!-- /container -->
    <div>
      <?php 
           echo  "Logged-In As:  <br />"          . $_SESSION['UserName'] ;
           echo  "With user Level set to: <br />" . $_SESSION['AuthLevel'] ;
      ?>

    </div>
  </body>
</html>