<?php
  session_start();
  require_once 'setup.php';

    $user_home = new USER() ;

  // If already Logged-in Redirect to Home
    if(!$user_home->is_logged_in())
    { $user_home->redirect('index.php') ; }

    $stmt = $user_home->runQuery("SELECT * FROM tbl_users WHERE userID=:uid") ;
        $stmt->execute(array(":uid"=>$_SESSION['userSession'])) ;
        $row = $stmt->fetch(PDO::FETCH_ASSOC) ;

    // This is how we Track the Session Authorization Level for this User/Session:
        $_SESSION['UserName']   = $row['userName']  ;
        $_SESSION['AuthLevel']  = $row['AuthLevel'] ;
        $_SESSION['userSession']= $row['userID']    ; 

?>

<!DOCTYPE html>
<html>
    
    <head>
        <title><?php echo $row['userEmail']."  ".$row['AuthLevel']; ?></title>
        <link rel="stylesheet"   href="login.css"  />        
    </head>
    
    <body>
        <div>
            <h2>Log-in Success!</h2>
            <div >
                <ul>
                    <li>                         
                        <h3><?php 
                                echo  "Logged-In As:  <br />"          .$row['userEmail'] ;
                            ?>
                        </h3> 
                    </li>
                    <br /><br />
                    <li >                         
                        <h3><?php 
                                echo  "With user Level set to: <br />" .$_SESSION['AuthLevel'] ;
                            ?>
                        </h3> 
                    </li>   
                    <br /><br /><br />
                    
                    <hr />
                    <h3><a tabindex="-1" href="logout.php">
                            Logout
                        </a>
                    </h3>

                    <h3><a href="fpass.php"> 
                          Change your Current Password 
                        </a>
                    </h3>  
                 
                </ul>
            </div>
        </div>
               
    </body>

</html>